Import cards into a board from an external tool
POST
/boards/{board}/import
const url = 'https://projects.work.optidata.cloud/api/boards/1/import';const form = new FormData();form.append('file', 'file');form.append('source', 'TRELLO');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://projects.work.optidata.cloud/api/boards/1/import \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=@file \ --form source=TRELLOImports a project exported from an external source (currently Trello JSON exports) into this board. Send the export file as multipart form-data. Requires import permission.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”board
required
integer
Board id.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
object
file
required
The export file (.json or .txt).
string format: binary
source
required
Source tool of the export.
string
Responses
Section titled “Responses”Import result.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}Validation failed.
Media typeapplication/json
object
message
First validation error message.
string
errors
Map of field name → list of error messages.
object
key
additional properties
Array<string>
Example
{ "message": "The name field is required.", "errors": { "name": [ "The name field is required." ] }}